语法
object.InitializeUserInput Bits[, Keyword]
Object
[url=mkMSITStore:C:\Program%20Files\NBSoft\NBCadTools\acadauto.chm::/idh_utility_object.htm]Utility[/url]
使用该方法的对象。
Bits
Integer[整数]; 仅用于输入
要同时设置多个条件上,可把这些值相加做任意组合如果不包含这些值或设为 0,则不使用这些控制条件。
1
不接受 NULL 输入。防止用户只按回车或空格来响应输入请求。
2
不接受输入零值(0)。防止用户输入 0 来响应输入请求。
4
不接受输入负值。防止用户输入负值来响应输入请求。
8
即使 LIMCHECK 系统变量为打开时也不检查图形界限。使用户能够输入当前图形界限以外的点。即使 AutoCAD 的系统变量 LIMCHECK 当前被设置为开 (ON),本条件也照样对随后调用的用户输入函数有效。
16
目前不使用。
32
用虚线绘制拖引线或拉伸方框。对于那些可以由用户在图形屏幕上通过选择位置来指定一个点的函数,设置该控制位将使拖引线和拉伸方框显示为虚线而不是实线(某些显示驱动程序用颜色醒目的线来代替虚线)。如果系统变量 POPUPS 设为 0
,AutoCAD 将忽略该控制位。
64
忽略三维点的 Z 坐标(只用于 GetDistance 方法). 该项忽略由 GetDistance 方法返回的三维点的 Z 坐标,以使应用程序确保该函数返回的是二维距离。
128
允许任意输入任何用户类型。
Keyword
Variant[变体] (字符串数组); 仅用于输入; 可选项
将被后续的用户输入方法识别的关键字。
说明
在调用 [url=mkMSITStore:C:\Program%20Files\NBSoft\NBCadTools\acadauto.chm::/idh_getkeyword.htm]GetKeyword[/url] 前必须用该方法定义关键字。假如已经调用该方法定义了关键字,请确定用户输入方法可接受正常返回值以外的关键字值。可接受关键字的用户输入方法有: GetKeyword, GetInteger, GetReal, GetDistance, GetAngle, GetOrientation, GetPoint, 和 GetCorner。 - Sub Example_InitializeUserInput()
- ' This example prompts for user input of a point. By using the
- ' InitializeUserInput method to define a keyword list, it can also
- ' return keywords entered by the user.
-
- On Error Resume Next
-
- ' Define the valid keywords
- Dim keywordList As String
- keywordList = "Keyword1 Keyword2"
-
- ' Call InitializeUserInput to setup the keywords
- ThisDrawing.Utility.InitializeUserInput 128, keywordList
-
- ' Get the user input
- Dim returnPnt As Variant
- returnPnt = ThisDrawing.Utility.GetPoint(, "Enter a point(Keyword1, Keyword2): ")
- If Err Then
- If StrComp(Err.Description, "User input is a keyword", 1) = 0 Then
- ' One of the keywords was entered
- Dim inputString As String
- Err.Clear
- inputString = ThisDrawing.Utility.GetInput
- MsgBox "You entered the keyword: " & inputString
- Else
- MsgBox "Error selecting the point: " & Err.Description
- Err.Clear
- End If
- Else
- ' Display point coordinates
- MsgBox "The WCS of the point is: " & returnPnt(0) & ", " & returnPnt(1) & ", " & returnPnt(2), , "GetInput 示例"
- End If
-
- End Sub
|